;;; cl-scopes/testing

;;;; simple testing library

(defpackage :scopes/testing
  (:use :common-lisp)
  (:export #:test-suite #:assert-eq #:result))

(in-package :scopes/testing)

(defun test-suite ()
  (vector nil))

(defun result (tst)
  (elt tst 0))

(defmacro result! (tst) 
  `(elt ,tst 0))

(defun assert-eq (tst have wanted)
  (push (equalp have wanted) (result! tst)))
